CEPH-DEPLOY(8)

NAME
ceph-deploy - deployment and configuration of Ceph

DESCRIPTION
usage: ceph-deploy [-h] [-v | -q] [-n] [--overwrite-conf] [--cluster NAME]

    COMMAND ...

Deploy Ceph

  optional arguments:

-h, --help
    show this help message and exit

-v, --verbose
    be more verbose

-q, --quiet
    be less verbose

-n, --dry-run
    do not perform any action, but report what would be done

--overwrite-conf
    overwrite an existing conf file on remote host (if present)

--cluster NAME
    name of the cluster

  commands:

COMMAND
    description

new Start deploying a new cluster, and write a CLUSTER.conf and keyring for it.

install
    Install Ceph packages on remote hosts.

mon Deploy ceph monitor on remote hosts.

mds Deploy ceph MDS on remote hosts.

gatherkeys
    Gather authentication keys for provisioning new nodes.

disk
    Manage disks on a remote host.

osd Prepare a data disk on remote host.

admin
    Push configuration and client.admin key to a remote host.

config
    Push configuration file to a remote host.

purgedata
    Purge (delete, destroy, discard, shred) any Ceph data from /var/lib/ceph

purge
    Remove Ceph packages from remote hosts and purge all data.

uninstall
    Remove Ceph packages from remote hosts.

forgetkeys
    Remove authentication keys from the local directory.